Name:           ansible-lint
Version:        6.11.0
Release:        %mkrel 1
Summary:        Best practices checker for Ansible
Group:          Development/Tools
License:        GPLv3
URL:            https://github.com/willthames/ansible-lint
Source0:        https://github.com/willthames/ansible-lint/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ansible
BuildRequires:  python3-devel
BuildRequires:  python3dist(ruamel.yaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(wheel)
BuildRequires:  pyproject-rpm-macros

%description
ansible-lint checks playbooks for practices and behaviour that
could potentially be improved.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
ln -sr %{buildroot}%{_bindir}/%{name}{,-3}

%files
%doc COPYING examples
%{_bindir}/%{name}
%{_bindir}/%{name}-3
%{python3_sitelib}/ansiblelint
%{python3_sitelib}/ansible_lint-%{version}.dist-info


%changelog
* Sun Jan 29 2023 guillomovitch <guillomovitch> 6.11.0-1.mga9
+ Revision: 1936854
- new version 6.11.0

* Thu Dec 08 2022 guillomovitch <guillomovitch> 6.9.1-1.mga9
+ Revision: 1919499
- new version 6.9.1

* Fri Aug 19 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1878663
- New version 6.4.0

* Fri Jun 24 2022 papoteur <papoteur> 6.0.2-2.mga9
+ Revision: 1865714
- Mass Rebuild for dependencies

* Sun Apr 10 2022 guillomovitch <guillomovitch> 6.0.2-1.mga9
+ Revision: 1848634
- new version 6.0.2

* Tue Mar 29 2022 umeabot <umeabot> 5.4.0-2.mga9
+ Revision: 1831664
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 guillomovitch <guillomovitch> 5.4.0-1.mga9
+ Revision: 1789039
- new version 5.4.0
- new version 5.3.2
+ tv <tv>
- Rebuild for python-3.10

* Sun Nov 28 2021 guillomovitch <guillomovitch> 5.2.1-1.mga9
+ Revision: 1759727
- new version 5.2.1

* Sun Oct 10 2021 guillomovitch <guillomovitch> 5.2.0-1.mga9
+ Revision: 1750406
- new version 5.2.0

* Sat Sep 25 2021 guillomovitch <guillomovitch> 5.1.3-1.mga9
+ Revision: 1746341
- new version 5.1.3

* Sun Aug 22 2021 guillomovitch <guillomovitch> 5.1.2-1.mga9
+ Revision: 1742324
- new version 5.1.2

* Mon Jun 14 2021 guillomovitch <guillomovitch> 5.0.12-1.mga9
+ Revision: 1730754
- new version 5.0.12

* Sun Apr 18 2021 guillomovitch <guillomovitch> 5.0.7-1.mga9
+ Revision: 1716548
- new version 5.0.7

* Sun Mar 28 2021 guillomovitch <guillomovitch> 5.0.6-1.mga9
+ Revision: 1711505
- new version 5.0.6

* Sun Mar 21 2021 guillomovitch <guillomovitch> 5.0.4-1.mga9
+ Revision: 1706822
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 5.0.2-2.mga9
+ Revision: 1692371
- new version 5.0.2

* Fri Nov 06 2020 guillomovitch <guillomovitch> 4.3.7-1.mga8
+ Revision: 1643029
- new version 4.3.7

* Mon Nov 02 2020 guillomovitch <guillomovitch> 4.3.6-1.mga8
+ Revision: 1641737
- new version 4.3.6

* Mon Oct 12 2020 neoclust <neoclust> 4.3.5-2.mga8
+ Revision: 1633961
- Fix file list

* Mon Sep 21 2020 guillomovitch <guillomovitch> 4.3.5-1.mga8
+ Revision: 1629134
- new version 4.3.5

* Thu Sep 03 2020 guillomovitch <guillomovitch> 4.3.4-1.mga8
+ Revision: 1621396
- new version 4.3.4

* Mon Aug 31 2020 guillomovitch <guillomovitch> 4.3.3-1.mga8
+ Revision: 1620492
- new version 4.3.3

* Mon Aug 24 2020 guillomovitch <guillomovitch> 4.3.1-1.mga8
+ Revision: 1618650
- new version 4.3.1

* Sun Feb 16 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1532418
- new version: 4.2.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 4.1.0-2.mga8
+ Revision: 1440717
- rebuild for python3.8

* Thu Feb 14 2019 guillomovitch <guillomovitch> 4.1.0-1.mga7
+ Revision: 1366915
- new version 4.1.0

* Sat Jan 26 2019 guillomovitch <guillomovitch> 4.0.1-1.mga7
+ Revision: 1361002
- new version 4.0.1
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 3.4.23-2.mga7
+ Revision: 1277605
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 guillomovitch <guillomovitch> 3.4.23-1.mga7
+ Revision: 1253151
- new version 3.4.23

* Sat Sep 30 2017 guillomovitch <guillomovitch> 3.4.16-1.mga7
+ Revision: 1161868
- new version 3.4.16

* Wed Sep 13 2017 guillomovitch <guillomovitch> 3.4.15-1.mga7
+ Revision: 1153594
- imported package ansible-lint

